/*
███████╗██╗███╗   ██╗ ██████╗ ███████╗██████╗     ██╗    ██╗███████╗ ██████╗ 
██╔════╝██║████╗  ██║██╔════╝ ██╔════╝██╔══██╗    ██║    ██║██╔════╝██╔════╝ 
█████╗  ██║██╔██╗ ██║██║  ███╗█████╗  ██████╔╝    ██║ █╗ ██║█████╗  ██║  ███╗
██╔══╝  ██║██║╚██╗██║██║   ██║██╔══╝  ██╔══██╗    ██║███╗██║██╔══╝  ██║   ██║
██║     ██║██║ ╚████║╚██████╔╝███████╗██║  ██║    ╚███╔███╔╝███████╗╚██████╔╝
╚═╝     ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝╚═╝  ╚═╝     ╚══╝╚══╝ ╚══════╝ ╚═════╝ 
*/

const BASE_URL = `${window.location.origin}/${window.location.pathname.split('/').filter((e, i)=>{return i>0 & i<4}).join('/')}`;
const ON = true;
const OFF = false;
const EMPTY_LINK = "javascript:undefined";
const DEFAULT = {
  social: {
    twitter: {
      icon: `${BASE_URL}/assets/images/twitter.png`,
      profile: "https://twitter.com/InnolabM4"
    },
    facebook: {
      icon: `${BASE_URL}/assets/images/facebook.png`,
      profile: "https://www.facebook.com/HfTStuttgart"
    },
    linkedin: {
      icon: `${BASE_URL}/assets/images/linkedin.png`,
      profile: "https://www.linkedin.com/school/hochschule-f%C3%BCr-technik-stuttgart-%E2%80%93-university-of-applied-sciences"
    },
    webpage: {
      icon: `${BASE_URL}/assets/images/webpage.png`,
      profile: "https://www.hft-stuttgart.de"
    }
  },
  avatar: `${BASE_URL}/assets/images/avatar.png`
};

/*
███████╗███████╗████████╗████████╗██╗███╗   ██╗ ██████╗ ███████╗
██╔════╝██╔════╝╚══██╔══╝╚══██╔══╝██║████╗  ██║██╔════╝ ██╔════╝
███████╗█████╗     ██║      ██║   ██║██╔██╗ ██║██║  ███╗███████╗
╚════██║██╔══╝     ██║      ██║   ██║██║╚██╗██║██║   ██║╚════██║
███████║███████╗   ██║      ██║   ██║██║ ╚████║╚██████╔╝███████║
╚══════╝╚══════╝   ╚═╝      ╚═╝   ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝
*/

let settings = {

  pageTitle: "KNIGHT",

  switches: [
    {
      name: "projectLogo",
      state: ON
    },
    {
      name: "projectName",
      state: ON
    },
    {
      name: "menu",
      state: ON
    },
    {
      name: "participants",
      state: ON
    },
    {
      name: "footerLogos",
      state: ON
    }
  ],

  projectLogo: ``,

  projectName: "KNIGHT",

  menu: [
    {
      menuText: "home",
      link: `${BASE_URL}/home/`
    },
    {
      menuText: "results",
      link: `${BASE_URL}/results/`
    },
    {
      menuText: "demo",
      link: "http://example.com"
    }
  ],

  participants: [
    {
      name: "Prof. Dr.-Ing. Dieter Uckelmann",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/c/3/csm_Uckelmann-5_def04d7699.jpg`,
      email: "mailto:dieter.uckelmann@hft-stuttgart.de",
      social: [
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: "https://www.linkedin.com/in/dieter-uckelmann-58aaa93"
        }
      ]
    },
    {
      name: "Dipl. Päd. Anke Pfeiffer",
      avatar: `https://www.hft-stuttgart.de/fileadmin/Dateien/Profilbilder/_processed_/e/5/csm_HFT-6_fc9f3f9f3b.jpg`,
      email: "anke.pfeiffer@hft-stuttgart.de",
      social: [
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: "https://www.linkedin.com/"
        }
      ]
    },
    {
      name: "Hadi Adineh",
      avatar: `https://digilab4u.com/wp-content/uploads/2019/12/hadi_adineh_pic_quad.jpg`,
      email: "anke.pfeiffer@hft-stuttgart.de",
      social: [
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: "https://www.linkedin.com/"
        }
      ]
    }    
  ],

  footerLogos: [
    {
      logo: `${BASE_URL}/assets/logos/Logo_M4_LAB.jpg`,
      href: EMPTY_LINK,
      title: "M4_LAB"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo1.png`,
      href: "http://www.innovative-hochschule.de",
      title: "Innovative Hochschule"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo2.png`,
      href: "https://www.bmbf.de",
      title: "Bundesministerium für Bildung und Forschung"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo3.png`,
      href: "https://www.gwk-bonn.de",
      title: "Die Gemeinsame Wissenschaftskonferenz"
    }
  ]
};
